<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="py-comment">#</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="py-comment"># Copyright (C) 2008 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="py-comment"># All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="py-comment"># Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="py-comment"># see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="py-comment">#</span></span>
<a id="line7"></a><span class="lineno"> 7</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line"><span class="py-keyword">from</span> Synopsis.Formatters.HTML.Tags <span class="py-keyword">import</span> *</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line"><span class="py-keyword">from</span> Synopsis.Formatters.HTML.Fragment <span class="py-keyword">import</span> Fragment</span>
<a id="line10"></a><span class="lineno">10</span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="py-keyword">class</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html">TemplateSpecializations</a>(Fragment):</span>
<a id="line12"></a><span class="lineno">12</span><span class="line">    <span class="py-string">&quot;&quot;&quot;Cross-link primary templates with their specializations.&quot;&quot;&quot;</span></span>
<a id="line13"></a><span class="lineno">13</span>
<a id="line14"></a><span class="lineno">14</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html#format_forward">format_forward</a>(self, forward):</span>
<a id="line15"></a><span class="lineno">15</span>
<a id="line16"></a><span class="lineno">16</span><span class="line">        <span class="py-keyword">if</span> <span class="py-keyword">not</span> forward.template:</span>
<a id="line17"></a><span class="lineno">17</span><span class="line">            <span class="py-keyword">return</span> <span class="py-string">''</span></span>
<a id="line18"></a><span class="lineno">18</span><span class="line">        <span class="py-keyword">if</span> forward.specializations:</span>
<a id="line19"></a><span class="lineno">19</span><span class="line">            spec = <span class="py-string">'\n'</span>.join([div(None, self.reference(s))</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">                              <span class="py-keyword">for</span> s <span class="py-keyword">in</span> forward.specializations])</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">            <span class="py-keyword">return</span> div(<span class="py-string">'specializations'</span>, <span class="py-string">'Specializations: '</span> + div(None, spec))</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">        <span class="py-keyword">elif</span> forward.primary_template:</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">            <span class="py-keyword">return</span> div(<span class="py-string">'primary-template'</span>,</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">                       <span class="py-string">'Primary template: '</span> + self.reference(forward.primary_template))</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">        <span class="py-keyword">return</span> <span class="py-string">''</span></span>
<a id="line26"></a><span class="lineno">26</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html#format_class">format_class</a>(self, class_):</span>
<a id="line28"></a><span class="lineno">28</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">        <span class="py-keyword">if</span> class_.primary_template:</span>
<a id="line30"></a><span class="lineno">30</span><span class="line">            <span class="py-keyword">return</span> div(<span class="py-string">'primary-template'</span>,</span>
<a id="line31"></a><span class="lineno">31</span><span class="line">                       <span class="py-string">'Primary template: '</span> + self.reference(class_.primary_template))</span>
<a id="line32"></a><span class="lineno">32</span><span class="line">        <span class="py-keyword">return</span> <span class="py-string">''</span></span>
<a id="line33"></a><span class="lineno">33</span>
<a id="line34"></a><span class="lineno">34</span><span class="line">    <span class="py-keyword">def</span> <a href="../../../../../Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html#format_class_template">format_class_template</a>(self, template_):</span>
<a id="line35"></a><span class="lineno">35</span>
<a id="line36"></a><span class="lineno">36</span><span class="line">        <span class="py-keyword">if</span> template_.specializations:</span>
<a id="line37"></a><span class="lineno">37</span><span class="line">            spec = <span class="py-string">' '</span>.join([div(None, self.reference(s))</span>
<a id="line38"></a><span class="lineno">38</span><span class="line">                             <span class="py-keyword">for</span> s <span class="py-keyword">in</span> template_.specializations])</span>
<a id="line39"></a><span class="lineno">39</span><span class="line">            <span class="py-keyword">return</span> div(<span class="py-string">'specializations'</span>, <span class="py-string">'Specializations: '</span> + spec)</span>
<a id="line40"></a><span class="lineno">40</span><span class="line">        <span class="py-keyword">elif</span> template_.primary_template:</span>
<a id="line41"></a><span class="lineno">41</span><span class="line">            <span class="py-keyword">return</span> div(<span class="py-string">'primary-template'</span>,</span>
<a id="line42"></a><span class="lineno">42</span><span class="line">                       <span class="py-string">'Primary template: '</span> + self.reference(template_.primary_template))</span>
<a id="line43"></a><span class="lineno">43</span><span class="line">        <span class="py-keyword">return</span> <span class="py-string">''</span></span>
<a id="line44"></a><span class="lineno">44</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:16 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
